package timehelper

import (
	"fmt"
	"time"
)

const datetime64Layout = "%04d-%02d-%02dT%02d:%02d:%02d.%d"

func GetNow() *time.Time {
	now := time.Now()
	return &now
}

func FormatDateime64(timestamp time.Time) string {
	utc := timestamp.UTC()
	return fmt.Sprintf(datetime64Layout, utc.Year(), utc.Month(), utc.Day(), utc.Hour(), utc.Minute(), utc.Second(), utc.Nanosecond()/1000)
}
